# Lawless, a Prelude Replacement

Welcome to [Lawless, a Prelude Replacement][Lawless]. It focuses on a
few core ideas:

- Support for GHC 8 and later
- Yaml configuration
- JSON and JSON Schemas
- Normalized Unicode everywhere
- Lenses and default Aeson encodings for generated datastructures.
- Easy Generic and Typeable deriving.

It's based on [protolude][protolude], [lenses][lenses],
and [machines][machines], and tries to extend on them as much as
possible.

[Lawless]: https://gitlab.com/misandrist/liblawless

[protolude]: https://github.com/sdiehl/protolude

[lenses]: https://hackage.haskell.org/package/lens

[machines]: https://hackage.haskell.org/package/machines

# Why Lawless?

1. It was started essentially by a rogue spinoff Haskell community
   that rapidly expanded into its own organization.
